/* GLOBAL STYLES
-------------------------------------------------- */
/* Padding below the footer and lighter body text */

body {
  padding-bottom: 40px;
  color: #5a5a5a;
}



/* CUSTOMIZE THE NAVBAR
-------------------------------------------------- */

/* Special class on .container surrounding .navbar, used for positioning it into place. */
.navbar-wrapper {
  position: relative;
  z-index: 15;
   /*gg*/
  opacity: 0.7;
}

 /*.navbar-right {visibility: visible;}*/


/* CUSTOMIZE THE CAROUSEL
-------------------------------------------------- */

/* Carousel base class */
.carousel {
 /* GG makes smaller to pull up features 
 margin-bottom: 60px;*/
 margin-bottom: 30px;
  /* Negative margin to pull up carousel. 90px is roughly margins and height of navbar. */
  margin-top: -90px;
}
/* Since positioning the image, we need to help out the caption */
.carousel-caption {
  z-index: 10;
}

/* Declare heights because of positioning of img element */
/* RWD for each media query this hight will be reset */
.carousel .item {
  height: 410px;
   /* GG-height: 500px;*/
  background-color: #777;
   /* GG-make white so size change is not as noticable 
   Note that the side bars still leak over so poor fix
   background-color: #FFF;*/
}
/* RESPONSIVE CSS
GG
Carousel adjustment support for widths
    1224px
    1024px
    768px
    640px
    480px
    320px
NB:
DOT refers to class, # to ID, div>p Selects all <p> elements where the parent is a <div> element
http://www.w3schools.com/cssref/css_selectors.asp
------------------------------- */




/* MARKETING CONTENT
-------------------------------------------------- */

/* Pad the edges of the mobile views a bit */
.marketing {
  padding-left: 15px;
  padding-right: 15px;
}

/* Center align the text within the three columns below the carousel */
.marketing .col-md-4 {
   /* margin-left:auto;
	margin-right:auto;*/
  text-align: center;
  margin-bottom: 20px;
}
.marketing h2 {
  font-weight: normal;
}
.marketing .col-md-4 p {
  margin-left: 10px;
  margin-right: 10px;
}


/* Featurettes
------------------------- */

.featurette-divider {
  margin: 80px 0; /* Space out the Bootstrap <hr> more */
}

/* Thin out the marketing headings */
.featurette-heading {
  font-weight: 300;
  line-height: 1;
  letter-spacing: -1px;
}

 /* ==========================================================================
   Geophoto's custom styles
   ========================================================================== */
   
.title {
    font-family: 'Josefin Sans', sans-serif;
    font-weight: 700;
}

body {
    font-size: 1em;
    line-height: 1.4;
    font: 16px/26px 'Raleway',  Helvetica, Helvetica Neue, Arial, sans-serif ;
}
p {font-family: 'Raleway',  Helvetica, Helvetica Neue, Arial, sans-serif ;}
.gFooter {
   /* border: 1px red solid;*/
    height: 20px;
    position: relative;
}

.gFooterText {
    font-family: 'Josefin Sans', sans-serif;
    font-weight: 400;
    position: relative;
    bottom: 0;
   /* right: 0;*/
}
.gfooterMenu {
    font-family: 'Josefin Sans', sans-serif;
   font-weight: 400;
    }
h1 {
   font-family: 'Josefin Sans', sans-serif;
   font-weight: 400;
    color: #333;
}
h1, .carousel-title {
    color: #FFF;
}

h2 {
   font-family: 'Josefin Sans', sans-serif;
   font-weight: 400;
    color: #585858;
}

h3 {
     font-family: 'Josefin Sans', sans-serif;
   font-weight: 400;
    color: #585858;
}


/* RESPONSIVE CSS
-------------------------------------------------- */
/* Smartphones (portrait) and below----- */
@media screen and (min-width: 0px) and (max-width: 479px) {
	.carousel .item { height: 150px; }
	.carousel { 
	margin-top: 1px; /* GG make room for navbar to reveal more image */
	margin-bottom: 10px; /* GG bring up features */
	 }
	 .carousel-caption h1 { position:relative;  top:3em;} 
	 .carousel-caption p { visibility: hidden;} 
	 .carousel-caption p>a { visibility: visible; position:relative;  top:3em;} /**/
	 .carousel-indicators { visibility: hidden;}
}


/* Smartphones (landscape) ----------- */
@media screen and (min-width : 480px) and (max-width: 639px){
	.carousel .item { height: 200px;}
	.carousel { 
	margin-bottom: 20px; /* GG bring up features */
	margin-top: 20px; /* GG make room for navbar to reveal more image */ 
	 .carousel-caption p { visibility: hidden;} }
}

@media screen 
and (min-width: 640px) and (max-width: 767px){
	.carousel .item {height: 250px;}
	.carousel-control {height: 100%;}
	 .carousel-caption { margin-bottom: 10px;}
}


/* iPads (portrait and landscape) ----------- */
@media only screen 
and (min-width : 768px) 
and (max-width : 1024px) {
	/**/
	
	.carousel { 
	margin-top: 20px; /* GG make room for navbar to reveal more image */
	
	 }
	.carousel .item { height: 350px; }
	.navbar-wrapper {position: absolute; margin-top: 5px; max-height: 20px;}
	/*.nav .navbar-nav  .navbar-right {visibility: hidden; float: right;}*/
	.navbar-right {visibility: hidden; float: none;}
}
 
/* Desktop ----------- */
@media only screen and (min-width: 1224px) {
	.carousel .item { height: 500px; }
	 /*.navbar-right {visibility: visible;}*/
}
/* END RESPONSIVE CSS for Carousel

GG ------------------------------- */
.carousel-inner > .item > img {
  position: absolute;
  top: 0;
  left: 0;
  min-width: 100%;
   height: auto;
 /* GG- height: 500px;*/
}
.carousel-control.left {height: auto;}
.carousel-control.right {height: auto;}
/* GG ################
.carousel-inner {
  position: relative;
  width: 100%;
  overflow: hidden;
}

.carousel-inner > .item {
  position: relative;
  display: none;
  -webkit-transition: 0.6s ease-in-out left;
          transition: 0.6s ease-in-out left;
}
.carousel-control {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  width: 15%;
  font-size: 20px;
  color: #ffffff;
  text-align: center;
  text-shadow: 0 1px 2px rgba(0, 0, 0, 0.6);
  opacity: 0.5;
  filter: alpha(opacity=50);
}

.carousel-control.left {
  background-image: -webkit-gradient(linear, 0 top, 100% top, from(rgba(0, 0, 0, 0.5)), to(rgba(0, 0, 0, 0.0001)));
  background-image: -webkit-linear-gradient(left, color-stop(rgba(0, 0, 0, 0.5) 0), color-stop(rgba(0, 0, 0, 0.0001) 100%));
  background-image: -moz-linear-gradient(left, rgba(0, 0, 0, 0.5) 0, rgba(0, 0, 0, 0.0001) 100%);
  background-image: linear-gradient(to right, rgba(0, 0, 0, 0.5) 0, rgba(0, 0, 0, 0.0001) 100%);
  background-repeat: repeat-x;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#80000000', endColorstr='#00000000', GradientType=1);
}

.carousel-control.right {
  right: 0;
  left: auto;
  background-image: -webkit-gradient(linear, 0 top, 100% top, from(rgba(0, 0, 0, 0.0001)), to(rgba(0, 0, 0, 0.5)));
  background-image: -webkit-linear-gradient(left, color-stop(rgba(0, 0, 0, 0.0001) 0), color-stop(rgba(0, 0, 0, 0.5) 100%));
  background-image: -moz-linear-gradient(left, rgba(0, 0, 0, 0.0001) 0, rgba(0, 0, 0, 0.5) 100%);
  background-image: linear-gradient(to right, rgba(0, 0, 0, 0.0001) 0, rgba(0, 0, 0, 0.5) 100%);
  background-repeat: repeat-x;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#00000000', endColorstr='#80000000', GradientType=1);
}

.carousel-control:hover,
.carousel-control:focus {
  color: #ffffff;
  text-decoration: none;
  opacity: 0.9;
  filter: alpha(opacity=90);
}

.carousel-control .icon-prev,
.carousel-control .icon-next,
.carousel-control .glyphicon-chevron-left,
.carousel-control .glyphicon-chevron-right {
  position: absolute;
  top: 50%;
  left: 50%;
  z-index: 5;
  display: inline-block;
}

.carousel-control .icon-prev,
.carousel-control .icon-next {
  width: 20px;
  height: 20px;
  margin-top: -10px;
  margin-left: -10px;
  font-family: serif;
}

.carousel-control .icon-prev:before {
  content: '\2039';
}

.carousel-control .icon-next:before {
  content: '\203a';
}

###################### */





@media (min-width: 768px) {

  /* Remove the edge padding needed for mobile */
  .marketing {
    padding-left: 0;
    padding-right: 0;
  }

  /* Navbar positioning foo */
  .navbar-wrapper {
    margin-top: 20px;
  }
  /* The navbar becomes detached from the top, so we round the corners */
  .navbar-wrapper .navbar {
    border-radius: 4px;
  }
 
 /*.navbar-right {visibility: visible;}*/
 
  /* Bump up size of carousel content */
  .carousel-caption p {
    margin-bottom: 20px;
    font-size: 21px;
    line-height: 1.4;
  }

  .featurette-heading {
    font-size: 50px;
  }

}

@media (min-width: 992px) {
  .featurette-heading {
    margin-top: 120px;
  }
}
